Subject: Re: Apache 1.3.26 Upgrade Question - Thanks

From: Justin Greene <[email-masked]>
Date: Fri, 21 Jun 2002 16:37:04 -0400

I just upgraded (win32) from 1.3.20 to 1.3.26 and everything works fine
using the binaries on http://www.mod-ssl.com/contrib/.  Just unzipped
1.3.26, stopped apache, made a copy of the original, copied over the
original, restarted apache.  No problems.

Justin

> -----Original Message-----
> From: Steve Romero [mailto:[email-masked]]
> Sent: Friday, June 21, 2002 3:51 PM
> To: [email-masked]
> Subject: MODSSL: Re: Apache 1.3.26 Upgrade Question - Thanks
> 
> Jim,
> 
> It would probably be a good idea to back up your old 
> certificate before 
> upgrading.  The certificate is bound to the name of your 
> server or the URL 
> of your website, and not the version of Apache that is 
> running, so you can 
> reuse it.  At least this is true with UNIX.  I'm not a 
> Windows man myself.
> 
> Regards,
> Steve Romero
> 
> At 07:00 PM 6/21/2002 +0000, you wrote:
> 
> >Hi,
> >
> >If i upgrade our current Apache 1.3.20 server with mod_ssl 
> built using:
> >
> >Apache_1.3.20-Mod_SSL_2.8.4-OpenSSL_0.9.6a-WIN32.zip
> >
> >to Apache 1.3.26 server with mod_ssl built using the following file:
> >
> >Apache_1.3.26-Mod_SSL_2.8.9-OpenSSL_0.9.6d-WIN32.zip,
> >
> >would i have to re-create my SSL certificate.
> >
> >My question is in light of the fact that the OpenSSL 
> versions is different 
> >in each of these files.
> >
> >Any feedback on the stability of the new file would be very helpful.
> >
> >Thanks in advance.
> >
> >Bye,
> >-Jim.
> >
> >
> >Sorry Jim
> >
> >You'd have to wait for Monday. I haven't installed perl 
> anymore and the
> >build script require that unfortunatley. First got to install perl on
> >monday in my W2K VMWare.
> >
> >
> >Bye
> >Tim
> >
> >On Thu, 20 Jun 2002 20:12:00 +0000
> >"Jim Lee" <[email-masked]> wrote:
> >
> >
> >Thanks a lot Tim.
> >
> >Words cannot express the sense of relief and gratitude that 
> i am feeling
> >
> >right now.
> >
> >I would be eagerly looking tomorrow for the file :
> >Apache_1.3.26-Mod_SSL_2.8.9-OpenSSL_0.9.6d-WIN32.zip
> >at the following location :
> >http://www.modssl.org/contrib/
> >
> >Thanks a million again.
> >
> >Bye,
> >-Jim.
> >
> >
> >Hi Jim
> >
> >On Thu, 20 Jun 2002 17:48:38 +0000
> >"Jim Lee" <[email-masked]> wrote:
> >
> >Hi,
> >
> >Please forgive my ignorance.
> >
> >I wish to create a file similar to the following one:
> >Apache_1.3.20-Mod_SSL_2.8.4-OpenSSL_0.9.6a-WIN32.zip,
> >
> >namely,
> >Apache_1.3.26-Mod_SSL_2.8.9-OpenSSL_0.9.6c-WIN32.zip,
> >
> >I need this file so that i can upgrade my current Apache 
> 1.3.20 server
> >with mod_ssl to Apache 1.3.26 server with mod_ssl.
> >
> >I do not have a VC++ 5.0 compiler on my desk and have no idea how i
> >could get the above file from the apache_1.3.26.tar.gz and the
> >mod_ssl-2.8.9-1.3.26.tar.gz and the openssl-0.9.6c.tar.gz files.
> >
> >I've got a VC++ 6.0 compiler at my desk and have already compiled the
> >stuff myself before on W32. I will do this tomorrow, however 
> I will use
> >openssl 0.9.6d ....
> >
> >I'll try to put it in the contrib area.
> >
> >Bye
> >Tim
> >
> >
> >
> >Any help from my friends would be highly appreciated.
> >
> >Thanks.
> >
> >Bye,
> >-Jim.
> >
> >
> >
> >From: "Gilles Gros" <[email-masked]>
> >
> >What is really your question ?
> >
> >Just download the source and compile it.
> >
> >apache 1.3.26 : http://www.apache.org/dist/httpd/apache_1.3.26.tar.gz
> >mod SSL 2.8.9-1.3.26 :
> >http://www.modssl.org/source/mod_ssl-2.8.9-1.3.26.tar.gz
> >
> >Gilles
> >
> >Hi,
> >
> >Could somebody help me create the 
> Apache_1.3.26-Mod_SSL_x-OpenSSL_x file
> >from the mod_ssl-2.8.9-1.3.26.tar.gz file that has been released
> >recently.
> >
> >Thanks.
> >
> >Bye,
> >-Jim.
> >
> >
> >On Wed, 19 Jun 2002, Jim Lee wrote:
> >
> >We have been unable to find the above Apache_1.3.26-Mod_SSL_x file in
> >the http://www.modssl.org/contrib/ area.
> >
> >Nobody's contributed one yet.  I imagine it won't be that far off, it
> >usually doesn't take too long.
> >
> >We also wish to know if the SSL certificate has to be 
> re-created after
> >Apache is upgraded to 1.3.26 with the new mod_SSL.
> >
> >No.
> >
> >--Cliff
> >
> >
> >
> >_________________________________________________________________
> >Send and receive Hotmail on your mobile device: http://mobile.msn.com
> >
> >_____________________________________________________________
> _________
> >Apache Interface to OpenSSL (mod_ssl)                   
> www.modssl.org
> >User Support Mailing List                      
> [email-masked]
> >Automated List Manager                            
> [email-masked]
> 
> ______________________________________________________________________
> Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
> User Support Mailing List                      [email-masked]
> Automated List Manager                            [email-masked]
> 
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]